class Store
  class EntityMapper
    def initialize(store)
      @store = store
    end

    def map(entity)
      raise NotImplementedError
    end

    def unmap(entity_class, mapped_entity)
      raise NotImplementedError
    end

    private
    def store
      @store
    end
  end
end
