class Store
  class Ref
    attr_reader :entity_type, :reference

    def initialize(entity_type, reference)
      @entity_type = entity_type
      @reference = reference
    end

    def ==(other)
      other.respond_to?(:entity_type) &&
        other.respond_to?(:reference) &&
        self.entity_type == other.entity_type &&
        self.reference == other.reference
    end
  end
end
