class EntityReferences
  def initialize
    @hash = Hash.new
  end

  def save(id, entity)
    @hash[entity.object_id] = id
  end

  def find(entity)
    @hash[entity.object_id]
  end

  def remove(entity)
    @hash.delete entity.object_id
  end
end
